| FlatBuffers An open source project by FPL.

Public Member Functions | Static Public Member Functions | List of all members
com.google.flatbuffers.FlexBuffers.Map Class Reference

Map object representing a set of key-value pairs. More...

Inheritance diagram for com.google.flatbuffers.FlexBuffers.Map:

## Detailed Description

Map object representing a set of key-value pairs.

## Public Member Functions
Reference | get (byte[] key)
Reference | get (String key)
KeyVector | keys ()
| Get a vector or keys in the map. More...
StringBuilder | toString (StringBuilder builder)
| Writes text (json) representation of map in a `StringBuilder`. More...
Vector | values ()
Public Member Functions inherited from com.google.flatbuffers.FlexBuffers.Vector
Reference | get (int index)
| Get a element in a vector by index. More...
boolean | isEmpty ()
| Checks if the vector is empty. More...
StringBuilder | toString (StringBuilder sb)
| Appends a text(JSON) representation to a `StringBuilder` More...

## Static Public Member Functions
static Map | empty ()
| Returns an empty `Map`. More...
static Vector | empty ()
| Returns an empty `Map`. More...

## Member Function Documentation

## ◆ empty()

static Map com.google.flatbuffers.FlexBuffers.Map.empty | ( |  | ) |
| inline static

Returns an empty `Map`.

Returns
  an empty `Map`

Reimplemented from com.google.flatbuffers.FlexBuffers.Vector.

## ◆ get() [1/2]

Reference com.google.flatbuffers.FlexBuffers.Map.get | ( | byte[] | key | ) |
| inline

Parameters

  key | access key to element on map. Keys are assumed to be encoded in UTF-8

Returns
  reference to value in map

## ◆ get() [2/2]

Reference com.google.flatbuffers.FlexBuffers.Map.get | ( | String | key | ) |
| inline

Parameters

  key | access key to element on map

Returns
  reference to value in map

## ◆ keys()

KeyVector com.google.flatbuffers.FlexBuffers.Map.keys | ( |  | ) |
| inline

Get a vector or keys in the map.

Returns
  vector of keys

## ◆ toString()

StringBuilder com.google.flatbuffers.FlexBuffers.Map.toString | ( | StringBuilder | builder | ) |
| inline

Writes text (json) representation of map in a `StringBuilder`.

Parameters

  builder | `StringBuilder` to be appended to

Returns
  Same `StringBuilder` with appended text

Reimplemented from com.google.flatbuffers.FlexBuffers.Vector.

## ◆ values()

Vector com.google.flatbuffers.FlexBuffers.Map.values | ( |  | ) |
| inline

Returns
  `Vector` of values from map

The documentation for this class was generated from the following file:

- FlexBuffers.java